# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapOfShapeTransient Class Reference

`#include <STEPCAFControl_DataMapOfShapeTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapOfShapeTransient (const Standard_Integer NbBuckets=1)
Standard_EXPORT STEPCAFControl_DataMapOfShapeTransient & | Assign (const STEPCAFControl_DataMapOfShapeTransient &Other)
STEPCAFControl_DataMapOfShapeTransient & | operator= (const STEPCAFControl_DataMapOfShapeTransient &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~STEPCAFControl_DataMapOfShapeTransient ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const TopoDS_Shape &K) const
const Handle_Standard_Transient & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const TopoDS_Shape &K)
Handle_Standard_Transient & | operator() (const TopoDS_Shape &K)

## Private Member Functions

Standard_EXPORT | STEPCAFControl_DataMapOfShapeTransient (const STEPCAFControl_DataMapOfShapeTransient &Other)

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapOfShapeTransient::STEPCAFControl_DataMapOfShapeTransient | ( | const Standard_Integer | NbBuckets = `1` | ) |

STEPCAFControl_DataMapOfShapeTransient::~STEPCAFControl_DataMapOfShapeTransient | ( |  | ) | `[inline]`

Standard_EXPORT STEPCAFControl_DataMapOfShapeTransient::STEPCAFControl_DataMapOfShapeTransient | ( | const STEPCAFControl_DataMapOfShapeTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT STEPCAFControl_DataMapOfShapeTransient& STEPCAFControl_DataMapOfShapeTransient::Assign | ( | const STEPCAFControl_DataMapOfShapeTransient & | Other | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfShapeTransient::Bind | ( | const TopoDS_Shape & | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& STEPCAFControl_DataMapOfShapeTransient::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void STEPCAFControl_DataMapOfShapeTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& STEPCAFControl_DataMapOfShapeTransient::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfShapeTransient::IsBound | ( | const TopoDS_Shape & | K | ) | const

void STEPCAFControl_DataMapOfShapeTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapOfShapeTransient::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapOfShapeTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& STEPCAFControl_DataMapOfShapeTransient::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const Handle_Standard_Transient& STEPCAFControl_DataMapOfShapeTransient::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

STEPCAFControl_DataMapOfShapeTransient& STEPCAFControl_DataMapOfShapeTransient::operator= | ( | const STEPCAFControl_DataMapOfShapeTransient & | Other | ) | `[inline]`

Standard_EXPORT void STEPCAFControl_DataMapOfShapeTransient::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfShapeTransient::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapOfShapeTransient.hxx